- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IntegerVariableBranchingWeights Class Reference

the IntegerVariableBranchingWeights class. More...

`#include <OSOption.h>`

Collaboration diagram for IntegerVariableBranchingWeights:

[legend]
List of all members.

## Public Member Functions
| IntegerVariableBranchingWeights ()
| Default constructor.
| ~IntegerVariableBranchingWeights ()
| Class destructor.
bool | IsEqual (IntegerVariableBranchingWeights *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setVar (int numberOfVar, BranchingWeight **var)
| A function to set an array of elements.
bool | setVar (int numberOfVar, int *idx, double *value)
| Alternative signature for this function.
bool | addVar (int idx, double value)
| A function to add a element.
## Public Attributes
int | numberOfVar
| number of children
BranchingWeight ** | var
| branching weight for each variable

## Detailed Description

the IntegerVariableBranchingWeights class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/11/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 1453 of file OSOption.h.

## Constructor & Destructor Documentation

IntegerVariableBranchingWeights::IntegerVariableBranchingWeights | ( |  | ) |

Default constructor.

Definition at line 576 of file OSOption.cpp.

References var.

IntegerVariableBranchingWeights::~IntegerVariableBranchingWeights | ( |  | ) |

Class destructor.

Definition at line 585 of file OSOption.cpp.

References numberOfVar, and var.

## Member Function Documentation

bool IntegerVariableBranchingWeights::IsEqual | ( | IntegerVariableBranchingWeights * | that | ) |

A function to check for the equality of two objects.

Definition at line 9202 of file OSOption.cpp.

References numberOfVar, and var.

bool IntegerVariableBranchingWeights::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10742 of file OSOption.cpp.

References numberOfVar, OSRand(), BranchingWeight::setRandom(), and var.

Referenced by VariableOption::setRandom().

bool IntegerVariableBranchingWeights::setVar | ( | int | numberOfVar,
|  | BranchingWeight ** | var |
| ) |  |  |

A function to set an array of elements.

Parameters:

  | numberOfVar,: | number of elements to be set
  | var,: | the array of elements to be that are to be set

Definition at line 4768 of file OSOption.cpp.

References ErrorClass::errormsg, and var.

Referenced by OSOption::setIntegerVariableBranchingWeights(), and OSOption::setIntegerVariableBranchingWeightsSparse().

bool IntegerVariableBranchingWeights::setVar | ( | int | numberOfVar,
|  | int * | idx,
|  | double * | value |
| ) |  |  |

Alternative signature for this function.

Parameters:

  | numberOfVar,: | number of elements to be set
  | idx,: | the array of indices
  | value,: | the array of corresponding values

Definition at line 4803 of file OSOption.cpp.

References BranchingWeight::idx, BranchingWeight::value, and var.

bool IntegerVariableBranchingWeights::addVar | ( | int | idx,
|  | double | value |
| ) |  |  |

A function to add a element.

Parameters:

  | idx,: | the index of the variable to be given a branching weight
  | value,: | the branching weight to be added

Definition at line 4836 of file OSOption.cpp.

References ErrorClass::errormsg, BranchingWeight::idx, numberOfVar, BranchingWeight::value, and var.

Referenced by OSOption::setAnotherIntegerVariableBranchingWeight().

## Member Data Documentation

int IntegerVariableBranchingWeights::numberOfVar

number of children

Definition at line 1457 of file OSOption.h.

Referenced by addVar(), OSOption::getNumberOfIntegerVariableBranchingWeights(), IsEqual(), OSOption::setIntegerVariableBranchingWeightsSparse(), setRandom(), and ~IntegerVariableBranchingWeights().

BranchingWeight** IntegerVariableBranchingWeights::var

branching weight for each variable

Definition at line 1460 of file OSOption.h.

Referenced by addVar(), OSOption::getIntegerVariableBranchingWeightsSparse(), IntegerVariableBranchingWeights(), IsEqual(), OSOption::setIntegerVariableBranchingWeightsDense(), setRandom(), setVar(), and ~IntegerVariableBranchingWeights().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp